<?php

namespace App\Classes;


use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

use App\Models\User;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Log;
use App\Mail\ForgotPassword;


class MailClass extends Controller
{
    public function ForgotPassword($email, $token)
    {
        try {
            Mail::to($email)->send(new ForgotPassword($token));
            return 'success';
        } catch (\Exception $ex) {
            return 'Error';
        }
    }


    public function testMail()
    {
        $smtp = getSmtp();
        if ($smtp) :
            Log::info('Test Mail Start!');
            try {
                $user = User::find(2);
                Mail::send('mail.testMail', ['user' => $user], function ($m) use ($user, $smtp) {
                    $m->from($smtp->from_address, $smtp->from_name);
                    $to = $user->email;
                    $subject = 'Test Mail via smtpbp.falconide.com with MAIL_ENCRYPTION';
                    $m->to($to)->subject($subject);
                });
                Log::info('Delivered');
                Log::info('Test Mail End!');
                return 'Success';
            } catch (\Exception $ex) {
                Log::info($ex->getMessage());
                Log::info('Test Mail End!');
                return 'Error';
            }
        else :
            Log::warning('SMTP Detail Not Updated');
        endif;
    }
}
