<?php

namespace App\Http\Controllers;
use App\Models\Problem;
use App\Models\Schedule;
use App\MsgApp;
use \Yajra\Datatables\Datatables;
use App\Models\Patient;

use Illuminate\Http\Request;
use PhpOption\None;

class AppointmentController extends Controller
{
    public function index(Request $request)
    {
        $schedules = Schedule::where('schedule_date', date('y-m-d'))->get();
        return view('appointment.index', compact('schedules'));
    }
    public function add($id)
    {
        $problem = null;
        return view('appointment.add', compact('id', 'problem'));
    }
    public function create(Request $request, $id)
    {
        $problem = Problem::saveData($request, $id);
        Schedule::prepareData($request, date('Y-m-d'), $id, $problem->id);
        return redirect()->route('patient.treatment', $id)->with("success", MsgApp::SUCCESS_ADDED);
    }
    public function treatment($id) {
        $patient = Patient::find($id);
        return view('treatment', compact('patient'));
    }
    public function edit($pid, $id)
    {
        $problem = Problem::find($id);
        return view('appointment.edit', compact('id', 'pid', 'problem'));
    }
    public function update(Request $request, $pid, $id)
    {
        $problem = Problem::find($id);
        if ($problem):
            $problem->problems = $request->problems;
            $problem->treatment = $request->treatment;
            $problem->save();
        endif;
        return redirect()->route('patient.treatment', $pid)->with("success", MsgApp::SUCCESS_ADDED);
    }
    public function stsSchedule($id) {
        $schedule = Schedule::find($id);
        if ($schedule->sts == 0):
            $schedule->sts = 1;
            $html = '<a href="javascript:;" class="btn btn-danger" onclick="changeSts('."'".$id."'".')"><en class="la la-times-circle icon-lg"></en></a>';
        else:
            $schedule->sts = 0;
            $html = '<a href="javascript:;" class="btn btn-success" onclick="changeSts('."'".$id."'".')"><en class="la la-check-circle icon-lg"></en></a>';
        endif;
        $schedule->save();
        return $html;
    }
}
