<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use Session;
class LoginController extends Controller
{
    public function index(Request $request)
    {
        if (auth()->user()) {
            return redirect()->route('patient.index');
        }
        return view('auth.login');
    }
    public function handleLogin(Request $request)
    {
        if (Auth::attempt(['email' => $request->email, 'password' => $request->password])) {
            $request->session()->regenerate();
            return redirect()->intended('/patient');
        }
        return Redirect::back()->with('failed', 'Sorry email and password does not match.')->withInput($request->all());
    }

    public function logout()
    {
        Session::flush();
        Auth::logout();
        return Redirect('/');
    }
}
