<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Haruncpi\LaravelIdGenerator\IdGenerator;

class Patient extends Model
{
    use HasFactory;

    public function state()
    {
        return $this->belongsTo(State::class);
    }
    public function city()
    {
        return $this->belongsTo(City::class);
    }
    public static function boot()
    {
        parent::boot();
        self::creating(function ($model) {
            $model->patient_id = IdGenerator::generate(['table' => 'patients', 'field' => 'patient_id', 'length' => 10, 'prefix' => 'P']);
        });
    }
    public static function saveData($dataVal, $id = null)
    {
        $saveData = ($id) ? Patient::find($id) : new Patient;
        $saveData->name = $dataVal->name;
        $saveData->email = $dataVal->email;
        $saveData->phone = $dataVal->mobile;
        $saveData->dob = ($dataVal->dob)?date("Y-m-d", strtotime($dataVal->dob)):null;
        $saveData->age = $dataVal->age;
        $saveData->address = $dataVal->address;
        $saveData->pin_code = $dataVal->pin_code;
        $saveData->state_id = $dataVal->state_id;
        $saveData->city_id = $dataVal->city_id;
        $saveData->dos = ($dataVal->dos)?date("Y-m-d", strtotime($dataVal->dos)):null;
        
        $saveData->save();
        return $saveData;
    }
}
