<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class Schedule extends Model
{
    use HasFactory;
    public function patient()
    {
        return $this->belongsTo(Patient::class);
    }
    public function problem()
    {
        return $this->belongsTo(Problem::class);
    }


    public static function prepareData($dataVal, $dos, $patientId, $problemId)
    {
        $sitting = $dataVal->sitting;
        $schedules = $dataVal->schedule;
        $count = count($schedules);
        $total = (int)($sitting/$count);
        $mod = fmod($sitting, $count);
        $x = 1;
        foreach ($schedules as $schedule):
            $cDate = Carbon::create('2023-07-05');
            for($i = 1; $i<= $total; $i++):
                $cDate = $cDate->next($schedule);
                Schedule::saveData($cDate->format('l'), $cDate->format('Y-m-d'), $patientId, $problemId);
            endfor;
            if ($x<=$mod):
                $cDate = $cDate->next($schedule);
                Schedule::saveData($cDate->format('l'), $cDate->format('Y-m-d'), $patientId, $problemId);
            endif;
            $x++;
        endforeach;
    }
    public static function  saveData($scheduleDay, $scheduleDate, $patientId, $problemId){
        $saveData = new Schedule;
        $saveData->patient_id = $patientId;
        $saveData->problem_id = $problemId;
        $saveData->schedule_day = $scheduleDay;
        $saveData->schedule_date = $scheduleDate;
        $saveData->save();
    }
    public static function getSchedule($dataVal)
    {
        $sitting = $dataVal->sitting;
        $schedules = json_decode($dataVal->schedule);
        $data = [];
        foreach ($schedules as $schedule):
            $cDate = (date("l") == $schedule)?Carbon::parse("next " . $schedule):Carbon::parse("this " . $schedule);
            $data[] = $cDate->format('Y-m-d');
            for ($i = 2; $i <= $sitting; $i++) :
                $cDate = $cDate->addDays(7);
                $data[] = $cDate->format('Y-m-d');
            endfor;
        endforeach;
        return $data;
    }
}
