$(function() {
    if ($('.patient-dataTable').length > 0) {
        console.log(HOST_URL);
        $('.patient-dataTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: HOST_URL + "/patient",
            columns: [
                { data: 'name', name: 'name' },
                { data: 'dos', name: 'dos' },
                { data: 'phone', name: 'phone' },
                { data: 'address', name: 'address' },
                { data: 'state_id', name: 'state_id' },
                { data: 'city_id', name: 'city_id' },
                { data: 'action', name: 'action', orderable: false, searchable: false },
            ]
        });
    }
    if ($('.treatment-dataTable').length > 0) {
        console.log(HOST_URL);
        let pId = $("#pId").val()
        $('.treatment-dataTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: HOST_URL + "/treatment/" + pId,
            columns: [
                { data: 'created_at', name: 'created_at' },
                { data: 'problems', name: 'problems' },
                { data: 'treatment', name: 'treatment' },
                { data: 'remark', name: 'remark' },
                { data: 'action', name: 'action', orderable: false, searchable: false },
            ]
        });
    }
    if ($('.appointment-dataTable').length > 0) {
        console.log(HOST_URL);
        $('.appointment-dataTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: HOST_URL + "/appointment",
            columns: [
                { data: 'patient_id', name: 'patient_id' },
                { data: 'schedule_day', name: 'schedule_day' },
                { data: 'schedule_date', name: 'schedule_date' },
            ]
        });
    }
    if ($('.state-dataTable').length > 0) {
        console.log(HOST_URL);
        $('.state-dataTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: HOST_URL + "/setting/state",
            columns: [{ data: 'name', name: 'name' },
                { data: 'action', name: 'action', orderable: false, searchable: false },
            ]
        });
    }
    if ($('.city-dataTable').length > 0) {
        console.log(HOST_URL);
        $('.city-dataTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: HOST_URL + "/setting/city",
            columns: [{ data: 'name', name: 'name' },
                { data: 'stateId', name: 'stateId' },
                { data: 'action', name: 'action', orderable: false, searchable: false },
            ]
        });
    }
});
let callState = false;
$(document).ready(function() {
    $('#stateId').on('change', function() {
        if (callState) { return; }
        let stateVal = $("#stateId option:selected").val();
        let url = "/get-city/" + stateVal;
        $.get(url, function(data, status) {
            $("#cityId").html(data);
        });
    });

    // $("form").submit(function(event) {
    //     console.log('called');
    //     event.preventDefault();
    // })
});

function viewSchedule(id) {
    $.get('/schedule/' + id, function(data, status) {
        $("#scheduleData").html(data);
        $("#treatmentId").val(id)
        $('#scheduleModalLong').modal('show');
    });
}

function addNewSce() {
    if ($("#kt_datepicker_2").val() == '') {
        Swal.fire("ERROR!", "Date Required", "error");
    } else {
        let dt = $("#kt_datepicker_2").val().split("/");
        let schedule_date = dt[2] + '-' + dt[0] + '-' + dt[1];

        $.get('/schedule/add/' + $("#pId").val() + '/' + $("#treatmentId").val() + '/' + schedule_date, function(data) {
            $("#kt_datepicker_2").val('');
            Swal.fire("SUCCESS!", "Record Added Successfully", "success");
            $("#scheduleData").html(data);
        });
    }
}

function deleteSch(id) {

    Swal.fire({
        title: "Are you sure?",
        text: "You wont be able to revert this!",
        icon: "warning",
        showCancelButton: true,
        confirmButtonText: "Yes, delete it!"
    }).then(function(result) {
        if (result.value) {
            $.get('/delSchedule/' + $("#treatmentId").val() + '/' + id, function(data) {
                $("#scheduleData").html(data);
                Swal.fire("SUCCESS!", "Record Deleted Successfully", "success");
            });
        }
    });
}

function getSchedule(e) {
    let dt = e.value.split("/");
    let schedule_date = dt[2] + '-' + dt[0] + '-' + dt[1];
    $.get('/getSchedule/' + schedule_date, function(data) {
        $("#tableData").html(data);
    });
}

function changeSts(id) {
    Swal.fire({
        title: "Are you sure?",
        text: "You wont be able to revert this!",
        icon: "warning",
        showCancelButton: true,
        confirmButtonText: "Yes, delete it!"
    }).then(function(result) {
        if (result.value) {
            $.get('/stsSchedule/' + id, function(data) {
                $("#tdId-" + id).html(data);
                Swal.fire("SUCCESS!", "Record Deleted Successfully", "success");
            });
        }
    });
}