@extends('layouts.app')
@section('content')
@include('aside')
<div class="subheader py-2 py-lg-4  subheader-solid " id="kt_subheader">
    <div class=" container-fluid  d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
        <!--begin::Info-->
        <div class="d-flex align-items-center flex-wrap mr-2">

            <!--begin::Page Title-->
            <h5 class="text-dark font-weight-bold mt-2 mb-2 mr-5">
                Create Patient </h5>
            <!--end::Page Title-->
            <!--begin::Actions-->
        </div>
        <!--end::Info-->
    </div>
</div>
<!--end::Subheader-->

<div class="d-flex flex-column-fluid">
    <!--begin::Container-->
    <div class=" container card-fixed-align">
        <!--begin::Card-->
        <div>
            <!--begin::Card-->
            @if(session('success'))
            <div class="alert alert-custom alert-success fade show" role="alert">
                <div class="alert-icon"><i class="flaticon2-check-mark"></i></div>
                <div class="alert-text">{{ session('success')}}</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
            @endif
            @if(session('failed'))
            <div class="alert alert-custom alert-danger fade show" role="alert">
                <div class="alert-icon"><i class="flaticon-warning"></i></div>
                <div class="alert-text">{{ session('failed')}}</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
            @endif
            <div class="card card-custom">
                <!--begin::Form-->
                <div class="card-body">
                    <form action="{{route('patient.addNew', $id)}}" method="post" id="patientForm">
                        <input type="hidden" name="_token" id="csrf_token" value="{{ Session::token() }}" />
                        <div>
                            <div class="row">
                                <div class="col-md-12">
                                    <label class="col-form-label" for="problems">Problems</label>
                                    <div>
                                        <textarea class="form-control" name="problems" placeholder="Problems" id="problems" type="text" required>@if(old('problems')){{ old('problems') }}@endif</textarea>
                                        @if($errors->has('problems'))
                                        <div class="invalid-feedback">{{ $errors->first('problems') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label class="col-form-label" for="treatment">Treatment</label>
                                    <div>
                                        <textarea class="form-control" name="treatment" placeholder="Treatment" id="treatment" type="text" required>@if(old('treatment')){{ old('treatment') }}@endif</textarea>
                                        @if($errors->has('treatment'))
                                        <div class="invalid-feedback">{{ $errors->first('treatment') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label class="col-form-label" for="remark">Remark</label>
                                    <div>
                                        <textarea class="form-control" name="remark" placeholder="Remark" id="treatment" type="text" required>@if(old('remark')){{ old('remark') }}@endif</textarea>
                                        @if($errors->has('remark'))
                                        <div class="invalid-feedback">{{ $errors->first('remark') }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-8">
                                    <label class="col-form-label">Days</label>
                                    <div class="">
                                        <select class="form-control select2" id="dayId" name="schedule[]" multiple="multiple" required>
                                            <option value="Sunday">Sunday</option>
                                            <option value="Monday">Monday</option>
                                            <option value="Tuesday">Tuesday</option>
                                            <option value="Wednesday">Wednesday</option>
                                            <option value="Thursday">Thursday</option>
                                            <option value="Friday">Friday</option>
                                            <option value="Saturday">Saturday</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="sitting">Sittings</label>
                                    <div>
                                        <input class="form-control" name="sitting" placeholder="Sittings" id="sitting" type="number" value="@if(old('sitting')){{ old('sitting') }}@endif" required />
                                        @if($errors->has('sitting'))
                                        <div class="invalid-feedback">{{ $errors->first('sitting') }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer mt-4">
                                <div class="row">
                                    <div class="col-12 d-flex justify-content-end">
                                        <button type="submit" class="btn btn-success mr-2">Submit</button>
                                        <a href="{{route('patient.index')}}" class="btn btn-danger">Cancel</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!--end::Card-->
        </div>
        <!--end::Card-->
    </div>
    <!--end::Container-->
</div>
<!--end::Entry-->
</div>
<!--end::Content-->
@endsection