@extends('layouts.app')
@section('content')
@include('aside')
<div class="subheader py-2 py-lg-4  subheader-solid " id="kt_subheader">
    <div class=" container-fluid  d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
        <!--begin::Info-->
        <div class="d-flex align-items-center flex-wrap mr-2">

            <!--begin::Page Title-->
            <h5 class="text-dark font-weight-bold mt-2 mb-2 mr-5">
                Edit Patient </h5>
            <!--end::Page Title-->
            <!--begin::Actions-->
        </div>
        <!--end::Info-->
    </div>
</div>
<!--end::Subheader-->

<div class="d-flex flex-column-fluid">
    <!--begin::Container-->
    <div class=" container card-fixed-align">
        <!--begin::Card-->
        <div>
            <!--begin::Card-->
            @if(session('success'))
            <div class="alert alert-custom alert-success fade show" role="alert">
                <div class="alert-icon"><i class="flaticon2-check-mark"></i></div>
                <div class="alert-text">{{ session('success')}}</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
            @endif
            @if(session('failed'))
            <div class="alert alert-custom alert-danger fade show" role="alert">
                <div class="alert-icon"><i class="flaticon-warning"></i></div>
                <div class="alert-text">{{ session('failed')}}</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
            @endif
            <div class="card card-custom">
                <!--begin::Form-->
                <div class="card-body">
                    <form action="{{route('patient.update', $patient->id)}}" method="post" enctype="multipart/form-data">
                        @method('PATCH')
                        <input type="hidden" name="_token" id="csrf_token" value="{{ Session::token() }}" />
                        <div>
                            <h3 class="card-label font-weight-bolder text-dark">Profile Information</h3>
                            <div class="row">
                                <div class="col-md-4">
                                    <label class="col-form-label" for="name">Name</label>
                                    <div>
                                        <input class="form-control" name="name" placeholder="Name" id="name" type="text" value="@if(old('name')){{ old('name') }}@else{{$patient->name}}@endif" required />
                                        @if($errors->has('name'))
                                        <div class="invalid-feedback">{{ $errors->first('name') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="email">Email</label>
                                    <div>
                                        <input class="form-control" name="email" placeholder="Email" id="email" type="email" value="@if(old('email')){{ old('email') }}@else{{$patient->email}}@endif" />
                                        @if($errors->has('email'))
                                        <div class="invalid-feedback">{{ $errors->first('email') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="mobile">Phone</label>
                                    <div>
                                        <input class="form-control" name="mobile" placeholder="Phone" id="mobile" type="text" value="@if(old('mobile')){{ old('mobile') }}@else{{$patient->phone}}@endif" />
                                        @if($errors->has('mobile'))
                                        <div class="invalid-feedback">{{ $errors->first('mobile') }}</div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class=" date">
                                        <label class="col-form-label" for="dob">Date Of Birth</label>
                                        <div>
                                            <input class="form-control" name="dob" placeholder="Date Of Birth" id="kt_datepicker_1" type="text" value="@if(old('dob')){{ old('dob') }}@else{{$patient->dob}}@endif" />
                                            @if($errors->has('dob'))
                                            <div class="invalid-feedback">{{ $errors->first('dob') }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="dob">Age</label>
                                    <div>
                                        <input class="form-control" name="age" placeholder="Age" id="age" type="text" value="@if(old('age')){{ old('age') }}@else{{$patient->age}}@endif" required />
                                        @if($errors->has('age'))
                                        <div class="invalid-feedback">{{ $errors->first('age') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="address">Address</label>
                                    <div>
                                        <input class="form-control" name="address" placeholder="Address" id="address" type="text" value="@if(old('address')){{ old('address') }}@else{{$patient->address}}@endif" />
                                        @if($errors->has('address'))
                                        <div class="invalid-feedback">{{ $errors->first('address') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="pinId">Pincode:</label>
                                    <input type="text" name="pin_code" maxlength="100" class="form-control" value="@if(old('pin_code')){{ old('pin_code') }}@else{{$patient->pin_code}}@endif" id="pinId">
                                </div>

                                <div class="col-md-4">
                                    <label class="col-form-label" for="address">State</label>
                                    <div>
                                        <select name="state_id" class="form-control" id="stateId">
                                            <option value="">Select State</option>
                                            @foreach($states as $state)
                                            <option value="{{$state->id}}" @if(old('state_id') && old('state_id')==$state->id) selected @elseif($patient->state_id == $state->id) selected @endif >{{$state->name}}</option>
                                            @endforeach
                                        </select>
                                        @if($errors->has('state_id'))
                                        <div class="invalid-feedback">{{ $errors->first('state_id') }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="col-form-label" for="cityId">City:</label>
                                    <select name="city_id" class="form-control" id="cityId">
                                        <option value="">Select City</option>
                                        @foreach($cities as $city)
                                        <option value="{{$city->id}}" @if(old('city_id') && old('city_id')==$city->id) selected @elseif($patient->city_id == $city->id) selected @endif>{{$city->name}}</option>
                                        @endforeach
                                    </select>
                                    @if($errors->has('city'))
                                    <div class="invalid-feedback">{{ $errors->first('city') }}</div>
                                    @enderror
                                </div>

                                
                            </div>
                            <div class="card-footer mt-4">
                                <div class="row">
                                    <div class="col-12 d-flex justify-content-end">
                                        <button type="submit" class="btn btn-success mr-2">Submit</button>
                                        <a href="{{route('patient.index')}}" class="btn btn-danger">Cancel</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!--end::Card-->
        </div>
        <!--end::Card-->
    </div>
    <!--end::Container-->
</div>
<!--end::Entry-->
</div>
<!--end::Content-->
@endsection