@extends('layouts.app')
@section('content')
@include('aside')
<div class="subheader py-2 py-lg-4  subheader-solid " id="kt_subheader">
    <div class=" container-fluid  d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
        <!--begin::Info-->
        <div class="d-flex align-items-center flex-wrap mr-2">

            <!--begin::Page Title-->
            <h5 class="text-dark font-weight-bold mt-2 mb-2 mr-5">
                Patient Detail </h5>
            <!--end::Page Title-->
            <a href="{{route('patient.edit', $patient->id)}}" class="btn btn-light-warning font-weight-bolder btn-sm mr-2">
                Edit
            </a>
            
            <!--begin::Actions-->
        </div>
        <!--end::Info-->
    </div>
</div>
<!--end::Subheader-->

<div class="d-flex flex-column-fluid">
    <!--begin::Container-->
    <div class=" container card-fixed-align">
        <!--begin::Card-->
        <div>
            <!--begin::Card-->
            @if(session('success'))
            <div class="alert alert-custom alert-success fade show" role="alert">
                <div class="alert-icon"><i class="flaticon2-check-mark"></i></div>
                <div class="alert-text">{{ session('success')}}</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
            @endif
            @if(session('failed'))
            <div class="alert alert-custom alert-danger fade show" role="alert">
                <div class="alert-icon"><i class="flaticon-warning"></i></div>
                <div class="alert-text">{{ session('failed')}}</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
            @endif
            <div class="card card-custom">
                <!--begin::Form-->
                <div class="card-body">
                    <div class="example">
                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="detail-tab" data-toggle="tab" href="javascript:;">
                                    <span class="nav-icon"><i class="flaticon2-chat-1"></i></span>
                                    <span class="nav-text">Patient Detail</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link"  href="{{route('patient.treatment', $patient->id)}}">
                                    <span class="nav-icon"><i class="flaticon2-layers-1"></i></span>
                                    <span class="nav-text">Treatment</span>
                                </a>
                            </li>
                        </ul>
                        <div class="tab-content mt-5" id="myTabContent">
                            <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="">
                                <form action="{{route('patient.store')}}" method="post" enctype="multipart/form-data">
                                    <input type="hidden" name="_token" id="csrf_token" value="{{ Session::token() }}" />
                                    <div class="row">
                                        <div class="col-md-4">
                                            <label class="col-form-label" for="name">Name</label>
                                            <div>
                                                <input class="form-control" name="name" placeholder="Name" id="name" type="text" value="{{$patient->name}}" disabled />
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <label class="col-form-label" for="email">Email</label>
                                            <div>
                                                <input class="form-control" name="email" placeholder="Email" id="email" type="email" value="{{$patient->email}}" disabled />
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <label class="col-form-label" for="mobile">Phone</label>
                                            <div>
                                                <input class="form-control" name="mobile" placeholder="Phone" id="mobile" type="text" value="{{$patient->phone}}" disabled />
                                            </div>
                                        </div>

                                        <div class="col-md-4">
                                            <div class=" date">
                                                <label class="col-form-label" for="dob">Date Of Birth</label>
                                                <div>
                                                    <input class="form-control" name="dob" placeholder="Date Of Birth" type="text" value="{{$patient->dob}}" disabled />
                                                </div>
                                            </div>

                                        </div>
                                        <div class="col-md-4">
                                            <label class="col-form-label" for="dob">Age</label>
                                            <div>
                                                <input class="form-control" name="age" placeholder="Age" id="age" type="text" value="{{$patient->age}}" disabled />
                                                @if($errors->has('age'))
                                                <div class="invalid-feedback">{{ $errors->first('age') }}</div>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <label class="col-form-label" for="address">Address</label>
                                            <div>
                                                <input class="form-control" name="address" placeholder="Address" id="address" type="text" value="{{$patient->address}}" disabled />
                                                @if($errors->has('address'))
                                                <div class="invalid-feedback">{{ $errors->first('address') }}</div>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <label class="col-form-label" for="pinId">Pincode:</label>
                                            <input type="text" name="pin_code" maxlength="100" class="form-control" required value="{{$patient->pin_code}}" disabled>
                                        </div>

                                        <div class="col-md-4">
                                            <label class="col-form-label" for="address">State</label>
                                            <div>
                                                <input type="text" name="state" maxlength="100" class="form-control" value="@if($patient->state_id){{$patient->state->name}}@endif" disabled>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <label class="col-form-label" for="cityId">City:</label>
                                            <input type="text" name="city" maxlength="100" class="form-control" required value="@if($patient->city_id){{$patient->city->name}}@endif" disabled>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            
                        </div>
                    </div>
                    <!--end::Example-->
                </div>
            </div>
            <!--end::Card-->
        </div>
        <!--end::Card-->
    </div>
    <!--end::Container-->
</div>
<!--end::Entry-->
</div>
<!--end::Content-->


@endsection